<?xml version="1.0" encoding="UTF-8"?>
<robot generator="Robot 3.1.2 (Python 3.6.5 on darwin)" generated="20191210 01:17:12.676" rpa="false">
<suite id="s1" name="Eventex" source="/Users/inmetrics/Rodrigo/Projetos/eventex/eventex.robot">
<kw name="Abrir Navegador" type="setup">
<kw name="Open Browser" library="SeleniumLibrary">
<doc>Opens a new browser instance to the optional ``url``.</doc>
<arguments>
<arg>${URL}</arg>
<arg>${BROWSER}</arg>
</arguments>
<msg timestamp="20191210 01:17:12.829" level="INFO">Opening browser 'chrome' to base url 'https://eventex-ronaldooliveira.herokuapp.com/'.</msg>
<status status="PASS" starttime="20191210 01:17:12.829" endtime="20191210 01:17:17.867"></status>
</kw>
<status status="PASS" starttime="20191210 01:17:12.828" endtime="20191210 01:17:17.867"></status>
</kw>
<test id="s1-t1" name="Cenário: Inscrever-se para participar">
<kw name="Dado que o usuario queira se registrar para o evento">
<kw name="Click Link" library="SeleniumLibrary">
<doc>Clicks a link identified by ``locator``.</doc>
<arguments>
<arg>${SUBSCRIBE_BUTTON}</arg>
</arguments>
<msg timestamp="20191210 01:17:17.871" level="INFO">Clicking link 'Inscreva-se já'.</msg>
<status status="PASS" starttime="20191210 01:17:17.870" endtime="20191210 01:17:18.215"></status>
</kw>
<status status="PASS" starttime="20191210 01:17:17.869" endtime="20191210 01:17:18.216"></status>
</kw>
<kw name="Quando realizar seu cadastro">
<kw name="Press Keys" library="SeleniumLibrary">
<doc>Simulates the user pressing key(s) to an element or on the active browser.</doc>
<arguments>
<arg>${NAME_INPUT}</arg>
<arg>Fulano de Tal</arg>
</arguments>
<msg timestamp="20191210 01:17:18.217" level="INFO">Sending key(s) ('Fulano de Tal',) to id = id_name element.</msg>
<msg timestamp="20191210 01:17:18.230" level="INFO">Sending keys Fulano de Tal</msg>
<status status="PASS" starttime="20191210 01:17:18.216" endtime="20191210 01:17:18.846"></status>
</kw>
<kw name="Press Keys" library="SeleniumLibrary">
<doc>Simulates the user pressing key(s) to an element or on the active browser.</doc>
<arguments>
<arg>${CPF_INPUT}</arg>
<arg>12345678900</arg>
</arguments>
<msg timestamp="20191210 01:17:18.847" level="INFO">Sending key(s) ('12345678900',) to id = id_cpf element.</msg>
<msg timestamp="20191210 01:17:18.857" level="INFO">Sending keys 12345678900</msg>
<status status="PASS" starttime="20191210 01:17:18.846" endtime="20191210 01:17:19.392"></status>
</kw>
<kw name="Press Keys" library="SeleniumLibrary">
<doc>Simulates the user pressing key(s) to an element or on the active browser.</doc>
<arguments>
<arg>${EMAIL_INPUT}</arg>
<arg>fake@mail.com</arg>
</arguments>
<msg timestamp="20191210 01:17:19.393" level="INFO">Sending key(s) ('fake@mail.com',) to id = id_email element.</msg>
<msg timestamp="20191210 01:17:19.403" level="INFO">Sending keys fake@mail.com</msg>
<status status="PASS" starttime="20191210 01:17:19.392" endtime="20191210 01:17:19.945"></status>
</kw>
<kw name="Press Keys" library="SeleniumLibrary">
<doc>Simulates the user pressing key(s) to an element or on the active browser.</doc>
<arguments>
<arg>${PHONE_INPUT}</arg>
<arg>11 987654321</arg>
</arguments>
<msg timestamp="20191210 01:17:19.946" level="INFO">Sending key(s) ('11 987654321',) to id = id_phone element.</msg>
<msg timestamp="20191210 01:17:19.958" level="INFO">Sending keys 11 987654321</msg>
<status status="PASS" starttime="20191210 01:17:19.945" endtime="20191210 01:17:20.497"></status>
</kw>
<kw name="Click Button" library="SeleniumLibrary">
<doc>Clicks the button identified by ``locator``.</doc>
<arguments>
<arg>${SEND_BUTTON}</arg>
</arguments>
<msg timestamp="20191210 01:17:20.497" level="INFO">Clicking button 'Enviar!'.</msg>
<status status="PASS" starttime="20191210 01:17:20.497" endtime="20191210 01:17:21.431"></status>
</kw>
<status status="PASS" starttime="20191210 01:17:18.216" endtime="20191210 01:17:21.431"></status>
</kw>
<kw name="Entao deve visualizar a confirmacao de inscricao">
<kw name="Page Should Contain" library="SeleniumLibrary">
<doc>Verifies that current page contains ``text``.</doc>
<arguments>
<arg>${SUCESS_MESSAGE}</arg>
</arguments>
<msg timestamp="20191210 01:17:21.450" level="INFO">Current page contains text 'Obrigada por se inscrever!'.</msg>
<status status="PASS" starttime="20191210 01:17:21.432" endtime="20191210 01:17:21.451"></status>
</kw>
<kw name="Sleep" library="BuiltIn">
<doc>Pauses the test executed for the given time.</doc>
<arguments>
<arg>5s</arg>
</arguments>
<msg timestamp="20191210 01:17:26.454" level="INFO">Slept 5 seconds</msg>
<status status="PASS" starttime="20191210 01:17:21.451" endtime="20191210 01:17:26.454"></status>
</kw>
<status status="PASS" starttime="20191210 01:17:21.432" endtime="20191210 01:17:26.454"></status>
</kw>
<status status="PASS" starttime="20191210 01:17:17.868" endtime="20191210 01:17:26.455" critical="yes"></status>
</test>
<kw name="Fechar Navegador" type="teardown">
<kw name="Close Browser" library="SeleniumLibrary">
<doc>Closes the current browser.</doc>
<status status="PASS" starttime="20191210 01:17:26.458" endtime="20191210 01:17:26.539"></status>
</kw>
<status status="PASS" starttime="20191210 01:17:26.457" endtime="20191210 01:17:26.540"></status>
</kw>
<status status="PASS" starttime="20191210 01:17:12.678" endtime="20191210 01:17:26.540"></status>
</suite>
<statistics>
<total>
<stat pass="1" fail="0">Critical Tests</stat>
<stat pass="1" fail="0">All Tests</stat>
</total>
<tag>
</tag>
<suite>
<stat pass="1" fail="0" id="s1" name="Eventex">Eventex</stat>
</suite>
</statistics>
<errors>
</errors>
</robot>
